-- Generated by Oracle SQL Developer Data Modeler 4.0.2.840
--   at:        2014-09-08 18:36:45 CEST
--   site:      SQL Server 2008
--   type:      SQL Server 2008


-- Generated by Oracle SQL Developer Data Modeler 4.0.2.840
--   at:        2014-09-08 19:38:56 CEST
--   site:      SQL Server 2008
--   type:      SQL Server 2008




CREATE
  TABLE Adress
  (
    AdressId INTEGER NOT NULL ,
    Street   VARCHAR (60) NOT NULL ,
    City     VARCHAR (60) NOT NULL ,
    Zipcode  VARCHAR (5) NOT NULL ,
    CONSTRAINT Adress_PK PRIMARY KEY CLUSTERED (AdressId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE Category
  (
    CategoryId       INTEGER NOT NULL ,
    Name             VARCHAR (60) NOT NULL ,
    ParentCategoryId INTEGER ,
    CONSTRAINT Category_PK PRIMARY KEY CLUSTERED (CategoryId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE Customer
  (
    CustomerId INTEGER NOT NULL ,
    Title      VARCHAR (5) ,
    FirstName  VARCHAR (60) NOT NULL ,
    LastName   VARCHAR (60) NOT NULL ,
    Birthday   DATE ,
    Email      VARCHAR (256) NOT NULL ,
    CONSTRAINT Customer_PK PRIMARY KEY CLUSTERED (CustomerId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE CustomerAdress
  (
    AdressId   INTEGER NOT NULL ,
    CustomerId INTEGER NOT NULL ,
    CONSTRAINT CustomerAdress__IDX PRIMARY KEY CLUSTERED (AdressId, CustomerId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE "Order"
  (
    OrderId        INTEGER NOT NULL ,
    CustomerId     INTEGER NOT NULL ,
    ShippingAdress INTEGER NOT NULL ,
    BillingAdress  INTEGER NOT NULL ,
                   DATE DATE ,
    CONSTRAINT Order_PK PRIMARY KEY CLUSTERED (OrderId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE OrderItem
  (
    ProductId INTEGER NOT NULL ,
    OrderId   INTEGER NOT NULL ,
    PricePcs  DECIMAL (10,2) NOT NULL ,
    Amount    INTEGER NOT NULL ,
    CONSTRAINT OrderItem__IDX PRIMARY KEY CLUSTERED (ProductId, OrderId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

CREATE
  TABLE Product
  (
    ProductId  INTEGER NOT NULL ,
    Name       VARCHAR (255) NOT NULL ,
    Price      DECIMAL (10,2) NOT NULL ,
    CategoryId INTEGER NOT NULL ,
    CONSTRAINT Product_PK PRIMARY KEY CLUSTERED (ProductId)
WITH
  (
    ALLOW_PAGE_LOCKS = ON ,
    ALLOW_ROW_LOCKS  = ON
  )
  ON "default"
  )
  ON "default"
GO

ALTER TABLE Category
ADD CONSTRAINT Category_Category_FK FOREIGN KEY
(
ParentCategoryId
)
REFERENCES Category
(
CategoryId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE CustomerAdress
ADD CONSTRAINT FK_ASS_1 FOREIGN KEY
(
AdressId
)
REFERENCES Adress
(
AdressId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE CustomerAdress
ADD CONSTRAINT FK_ASS_2 FOREIGN KEY
(
CustomerId
)
REFERENCES Customer
(
CustomerId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE OrderItem
ADD CONSTRAINT FK_ASS_7 FOREIGN KEY
(
ProductId
)
REFERENCES Product
(
ProductId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE OrderItem
ADD CONSTRAINT FK_ASS_8 FOREIGN KEY
(
OrderId
)
REFERENCES "Order"
(
OrderId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE "Order"
ADD CONSTRAINT Order_Adress_FK FOREIGN KEY
(
ShippingAdress
)
REFERENCES Adress
(
AdressId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE "Order"
ADD CONSTRAINT Order_Adress_FKv2 FOREIGN KEY
(
BillingAdress
)
REFERENCES Adress
(
AdressId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE "Order"
ADD CONSTRAINT Order_Customer_FK FOREIGN KEY
(
CustomerId
)
REFERENCES Customer
(
CustomerId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO

ALTER TABLE Product
ADD CONSTRAINT Product_Category_FK FOREIGN KEY
(
CategoryId
)
REFERENCES Category
(
CategoryId
)
ON
DELETE
  NO ACTION ON
UPDATE NO ACTION
GO


-- Oracle SQL Developer Data Modeler Summary Report: 
-- 
-- CREATE TABLE                             7
-- CREATE INDEX                             0
-- ALTER TABLE                              9
-- CREATE VIEW                              0
-- CREATE PACKAGE                           0
-- CREATE PACKAGE BODY                      0
-- CREATE PROCEDURE                         0
-- CREATE FUNCTION                          0
-- CREATE TRIGGER                           0
-- ALTER TRIGGER                            0
-- CREATE DATABASE                          0
-- CREATE DEFAULT                           0
-- CREATE INDEX ON VIEW                     0
-- CREATE ROLLBACK SEGMENT                  0
-- CREATE ROLE                              0
-- CREATE RULE                              0
-- CREATE PARTITION FUNCTION                0
-- CREATE PARTITION SCHEME                  0
-- 
-- DROP DATABASE                            0
-- 
-- ERRORS                                   0
-- WARNINGS                                 0
